Skip to content

time-tracking-employee-statistics


Get daily total

GET
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/daily/{date}/totals

Get the daily total of an employee

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"
date*
Type
string
Required
Format
"date"

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"targetTime": {
  
  
  
"hours": 0,
  
  
  
"minutes": 0
  
  
},
  
  
"targetTimeDifference": {
  
  
  
"hours": 0,
  
  
  
"minutes": 0
  
  
},
  
  
"sectionTotal": {
  
  
  
"activity": {
  
  
  
  
"hours": 0,
  
  
  
  
"minutes": 0
  
  
  
},
  
  
  
"vacation": {
  
  
  
  
"hours": 0,
  
  
  
  
"minutes": 0
  
  
  
},
  
  
  
"inOut": {
  
  
  
  
"hours": 0,
  
  
  
  
"minutes": 0
  
  
  
},
  
  
  
"billingActivity": {
  
  
  
  
"hours": 0,
  
  
  
  
"minutes": 0
  
  
  
},
  
  
  
"absence": {
  
  
  
  
"hours": 0,
  
  
  
  
"minutes": 0
  
  
  
},
  
  
  
"shortWork": {
  
  
  
  
"hours": 0,
  
  
  
  
"minutes": 0
  
  
  
},
  
  
  
"holidays": [
  
  
  
  
{
  
  
  
  
  
"name": "string",
  
  
  
  
  
"duration": {
  
  
  
  
  
  
"workDays": 0
  
  
  
  
  
}
  
  
  
  
}
  
  
  
]
  
  
},
  
  
"flexTime": {
  
  
  
"hours": 0,
  
  
  
"minutes": 0
  
  
}
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value

Samples